/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.common;

import java.io.Serializable;

import org.apache.commons.lang.math.DoubleRange;
import org.dive4elements.river.artifacts.sinfo.util.RiverInfo;

/**
 * @author Gernot Belger
 */
public abstract class AbstractCalculationResults implements Serializable {

    private static final long serialVersionUID = 1L;

    private final String calcModeLabel;

    private final String user;

    private final RiverInfo river;

    private final DoubleRange calcRange;

    public AbstractCalculationResults(final String calcModeLabel, final String user, final RiverInfo river, final DoubleRange calcRange) {
        this.calcModeLabel = calcModeLabel;
        this.user = user;
        this.river = river;
        this.calcRange = calcRange;
    }

    public final String getCalcModeLabel() {
        return this.calcModeLabel;
    }

    public final String getUser() {
        return this.user;
    }

    public final RiverInfo getRiver() {
        return this.river;
    }

    public final DoubleRange getCalcRange() {
        return this.calcRange;
    }
}